| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# Rndm::GaussianTail Class Reference

`#include <RndmGenerators.h>`

Inheritance diagram for Rndm::GaussianTail:

[legend]
Collaboration diagram for Rndm::GaussianTail:

[legend]

List of all members.

## Detailed Description

Parameters for the Gaussian tail number generation.

Definition at line 348 of file RndmGenerators.h.

## Public Member Functions
| GaussianTail (double a, double s)
| Standard Constructor.
virtual | ~GaussianTail ()
| Standard Destructor.
double | cut () const
| Access cut value of the distribution.
double | sigma () const
| Access sigma of the distribution.
virtual IRndmGen::Param * | clone () const
| Clone parameters.
## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory.
## Protected Attributes
double | m_cut
| Cut on the Gaussian tail distribution.
double | m_sigma
| Sigma of the Gauss ditribution.

## Constructor & Destructor Documentation

Rndm::GaussianTail::GaussianTail | ( | double | a,
|  | double | s |
| ) |  |  | `[inline]`

Standard Constructor.

Definition at line 356 of file RndmGenerators.h.

    00357       : IRndmGen::Param(IID_IRndmGaussianTail), m_cut(a), m_sigma(s)  { }

virtual Rndm::GaussianTail::~GaussianTail | ( |  | ) | `[inline, virtual]`

Standard Destructor.

Definition at line 359 of file RndmGenerators.h.

    00359 { }

## Member Function Documentation

double Rndm::GaussianTail::cut | ( |  | ) | const`[inline]`

Access cut value of the distribution.

Definition at line 361 of file RndmGenerators.h.

    00361 { return m_cut; }

double Rndm::GaussianTail::sigma | ( |  | ) | const`[inline]`

Access sigma of the distribution.

Definition at line 363 of file RndmGenerators.h.

    00363 { return m_sigma; }

static const InterfaceID& Rndm::GaussianTail::typeID | ( |  | ) | `[inline, static]`

Identifier for factory.

Definition at line 365 of file RndmGenerators.h.

    00365 { return IID_IRndmGaussianTail; }

virtual IRndmGen::Param* Rndm::GaussianTail::clone | ( | void |  | ) | const`[inline, virtual]`

Clone parameters.

Implements IRndmGen::Param.

Definition at line 367 of file RndmGenerators.h.

    00367                                          {
    00368       return new GaussianTail(m_cut, m_sigma);
    00369     }

## Member Data Documentation

double Rndm::GaussianTail::m_cut`[protected]`

Cut on the Gaussian tail distribution.

Definition at line 351 of file RndmGenerators.h.

double Rndm::GaussianTail::m_sigma`[protected]`

Sigma of the Gauss ditribution.

Definition at line 353 of file RndmGenerators.h.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/GaudiKernel/RndmGenerators.h